org.apache.fop.fonts.cff

## Class CFFDataReader.CFFIndexData

- java.lang.Object
- - org.apache.fop.fonts.cff.CFFDataReader.CFFSubTable
  - - org.apache.fop.fonts.cff.CFFDataReader.CFFIndexData

Enclosing class:
  CFFDataReader

    public class CFFDataReader.CFFIndexData
    extends CFFDataReader.CFFSubTable

An object used to hold index data from the CFF data

### Constructor Summary

Constructors
Constructor and Description
`CFFIndexData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getData()`
`int` `getNumObjects()`
`int[]` `getOffsets()`
`int` `getOffSize()`
`byte[]` `getValue(int index)` Retrieves data from the index data
`int` `getValueLength(int index)`
`int` `getValuePosition(int index)`
`void` `parseIndexHeader(org.apache.fontbox.cff.DataInputByteArray cffData)` Parses index data from an index object found within the CFF byte data
`void` `setData(int position, int length)`
`void` `setNumObjects(int numObjects)`
`void` `setOffsets(int[] offsets)`
`void` `setOffSize(int offSize)`

### Methods inherited from class org.apache.fop.fonts.cff.CFFDataReader.CFFSubTable

`getByteData, setByteData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CFFIndexData

    public CFFIndexData()

### Method Detail

#### setNumObjects

    public void setNumObjects(int numObjects)

#### getNumObjects

    public int getNumObjects()

#### setOffSize

    public void setOffSize(int offSize)

#### getOffSize

    public int getOffSize()

#### setOffsets

    public void setOffsets(int[] offsets)

#### getOffsets

    public int[] getOffsets()

#### setData

    public void setData(int position,
                        int length)

#### getData

    public byte[] getData()
                   throws IOException

Throws:
  `IOException`

#### parseIndexHeader

    public void parseIndexHeader(org.apache.fontbox.cff.DataInputByteArray cffData)
                          throws IOException

Parses index data from an index object found within the CFF byte data

Parameters:
  `cffData` - A byte array containing the CFF data
Throws:
  `IOException` - Throws an IO Exception if an error occurs

#### getValue

    public byte[] getValue(int index)
                    throws IOException

Retrieves data from the index data

Parameters:
  `index` - The index position of the data to retrieve
Returns:
  Returns the byte data for the given index
Throws:
  `IOException` - Throws an IO Exception if an error occurs

#### getValuePosition

    public int getValuePosition(int index)

#### getValueLength

    public int getValueLength(int index)